# Move base

`POST https://api.airtable.com/v0/meta/workspaces/{workspaceId}/moveBase`

Move a base between two workspaces owned by the enterprise.

## Requirements

- **Authentication:** [Personal access token](https://airtable.com/developers/web/api/authentication.md#types-of-token), [OAuth integration](https://airtable.com/developers/web/api/authentication.md#types-of-token)
- **Scope:** [`workspacesAndBases:manage`](https://airtable.com/developers/web/api/scopes.md#workspaces-and-bases-manage)
- **User role:** Enterprise admin _Note: Admins of multiple enterprises should use an enterprise-scoped token or a service account's token when calling this route._
- **Billing plans:** Enterprise (pre-2023.08 legacy plan), Enterprise Scale

## Path parameters

- `workspaceId: string`

## Request body

- `baseId: string` — required

  ID of the base to be moved

- `targetWorkspaceId: string` — required

  ID of the target workspace of the move. I.e. the workspace that the base will
  belong to once the move is complete. The target workspace must be in the same enterprise account as the source workspace.

- `targetIndex: number` — optional

  The desired index for the base in the target workspace's base order (optional).
  If provided, targetIndex must be a number between 0 (beginning of the list) and the number of bases
  in the target workspace (end of the list). If targetIndex is not provided,
  the base will be moved to the end of the list of bases in the target workspace.

## Response format

Returns `null`.

### Example — Example request

```sh
curl -X POST "https://api.airtable.com/v0/meta/workspaces/{workspaceId}/moveBase" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
--data '{
    "baseId": "appLkNDICXNqxSDhG",
    "targetIndex": 0,
    "targetWorkspaceId": "wspmhESAta6clCCwF"
  }'
```

## Error responses

### 403

**Not admin** — Only an admin can perform this action.

```json
{
  "error": {
    "message": "You are not permitted to perform this operation",
    "type": "INVALID_PERMISSIONS"
  }
}
```
